Philo - Bug #177

pip installation does not work
08/17/2011 03:37 PM - Harris Lapiroff

Status: Resolved Start date: 08/17/2011
Priority: High Due date:

Assignee: Joseph Spiros % Done: 100%
Category: Core Estimated time: 0.00 hour
Target version: 0.9.1

Description

When | try pip install philo | get:

Downloading/unpacking philo
Downloading philo-0.9.tar.gz (101Kb): 101Kb downloaded
Running setup.py egg_info for package philo
Downloading/unpacking django>=1.3 (from philo)
Downloading Django-1l.3.tar.gz (6.5Mb): 6.5Mb downloaded
Running setup.py egg_info for package django
Downloading/unpacking python>=2.5.4 (from philo)

Could not find a version that satisfies the requirement python>=2.5.4 (from philo)

s: )

No distributions matching the version for python>=2.5.4 (from philo)

And without janeau's patch the templates directory doesn't get installed, crippling the admin.

(from version

Associated revisions

Revision 46bfbcf1 - 10/08/2011 01:54 AM - Stephen Burrows

Tweaked manifest file. Removed a bunch of hackery from setup.py in favor of setuptools.find_packages, since we're using setuptools anyway.

Addresses bug #177.

Revision d6b4a904 - 10/08/2011 04:47 AM - Joseph Spiros

Merge branch 'release’ of git://github.com/melinath/philo into release/0.9.1

® 'release’ of git://github.com/melinath/philo:

Tweaked manifest file. Removed a bunch of hackery from setup.py in favor of setuptools.find_packages, since we're using setuptools anyway.

Addresses bug #177.

Abstracted email resetting during the email change process onto the AccountForm. Addresses bug #173.

This will include non *.py files in our distribution for setup.py, easy_install, pip, &c. purposes.

Removed python requirement line from setup.py, since easy_install and pip can't do anything with it and will choke on it for e.g. pypy.

Correction to waldo login view to pass the request into the login_form for GET requests as well.

Added release notes for 0.9.1.

Merged the contribution information from the ithinksw.org philo wiki into the documentation.

Removed philo.models.Tag entry from the docs.
Incremented version number to 0.9.1rc and cleaned up README a tiny bit.

Revision 61b73fe0 - 10/09/2011 02:05 AM - Joseph Spiros
Merge branch 'release/0.9.1'
e release/0.9.1: (74 commits)

Edited the READMEs and documentation to be cleaner and more consistent.
Bumped version number to 0.9.1 in preparation for release.

Tweaked manifest file. Removed a bunch of hackery from setup.py in favor of setuptools.find_packages, since we're using setuptools anyway.

Addresses bug #177.

Abstracted email resetting during the email change process onto the AccountForm. Addresses bug #173.

This will include non *.py files in our distribution for setup.py, easy_install, pip, &c. purposes.

Removed python requirement line from setup.py, since easy_install and pip can't do anything with it and will choke on it for e.g. pypy.

Correction to waldo login view to pass the request into the login_form for GET requests as well.

Added release notes for 0.9.1.

Merged the contribution information from the ithinksw.org philo wiki into the documentation.

Removed philo.models.Tag entry from the docs.
Incremented version number to 0.9.1rc and cleaned up README a tiny bit.

Tweaked AttributeMapper._fill_cache to also store values on the Attribute instance itself. Made everything about AttributeMapper._fill_cache

lazier.
https://github.com/ithinksw/philo/pull/27

Lazy-eval the values of AttributeValues instead of loading them all during AttributeMapper._fill_cache.

Removed Node.render_to_response select_related call since it is not clearly more efficient. Delayed page evaluation in FeedView.page_view to
the end of the inner function.

Added a 'contributing' page to the philo docs. This is meant primarily as an initial effort, which can be expanded upon more later.
Corrections to Blog.entry_tags to use taggit APIs. Tweaks to penfield migration 0005 because of South issue 428 (and some incorrect filters
obscured by that issue.)

Minor correction to EmbedWidget.js to handle window names with dashes.

Overrides TemplateField widget on admin container forms instead of on the ModelAdmin.

Reverted TemplateField parent to models.TextField and moved EmbedWidget into philo.admin.widgets. Added EmbedWidget use on the
appropriate ModelAdmins. Cleaned up ContentletAdmin and ContentReferenceAdmin.

Removed TagCreation.js and the admin widget that used it.

Revision ee00114c¢ - 10/09/2011 02:25 AM - Joseph Spiros

Merge branch 'release/0.9.1' into develop

e release/0.9.1:
Edited the READMESs and documentation to be cleaner and more consistent.
Bumped version number to 0.9.1 in preparation for release.
Tweaked manifest file. Removed a bunch of hackery from setup.py in favor of setuptools.find_packages, since we're using setuptools anyway.
Addresses bug #177.
Abstracted email resetting during the email change process onto the AccountForm. Addresses bug #173.
This will include non *.py files in our distribution for setup.py, easy_install, pip, &c. purposes.
Removed python requirement line from setup.py, since easy_install and pip can't do anything with it and will choke on it for e.g. pypy.
Correction to waldo login view to pass the request into the login_form for GET requests as well.
Added release notes for 0.9.1.
Merged the contribution information from the ithinksw.org philo wiki into the documentation.
Removed philo.models.Tag entry from the docs.
Incremented version number to 0.9.1rc and cleaned up README a tiny bit.

Revision 4a170a70 - 11/04/2011 11:05 PM - Joseph Spiros
Merge branch 'develop' into gilbert-ext4

e develop: (137 commits)
Added include_package_data option to setup.py to ensure MANIFEST.in is actually heeded.
Edited the READMEs and documentation to be cleaner and more consistent.
Bumped version number to 0.9.1 in preparation for release.
Tweaked manifest file. Removed a bunch of hackery from setup.py in favor of setuptools.find_packages, since we're using setuptools anyway.
Addresses bug #177.
Abstracted email resetting during the email change process onto the AccountForm. Addresses bug #173.
This will include non *.py files in our distribution for setup.py, easy_install, pip, &c. purposes.
Removed python requirement line from setup.py, since easy_install and pip can't do anything with it and will choke on it for e.g. pypy.
Correction to waldo login view to pass the request into the login_form for GET requests as well.
Added release notes for 0.9.1.
Merged the contribution information from the ithinksw.org philo wiki into the documentation.
Removed philo.models.Tag entry from the docs.
Incremented version number to 0.9.1rc and cleaned up README a tiny bit.
Tweaked AttributeMapper._fill_cache to also store values on the Attribute instance itself. Made everything about AttributeMapper._fill_cache
lazier.
Lazy-eval the values of AttributeValues instead of loading them all during AttributeMapper._fill_cache.
Removed Node.render_to_response select_related call since it is not clearly more efficient. Delayed page evaluation in FeedView.page_view to
the end of the inner function.
Added a 'contributing' page to the philo docs. This is meant primarily as an initial effort, which can be expanded upon more later.
Corrections to Blog.entry tags to use taggit APls. Tweaks to penfield migration 0005 because of South issue 428 (and some incorrect filters
obscured by that issue.)
Minor correction to EmbedWidget.js to handle window names with dashes.
Overrides TemplateField widget on admin container forms instead of on the ModelAdmin.
Reverted TemplateField parent to models.TextField and moved EmbedWidget into philo.admin.widgets. Added EmbedWidget use on the
appropriate ModelAdmins. Cleaned up ContentletAdmin and ContentReferenceAdmin.

History

#1 - 08/17/2011 03:55 PM - Harris Lapiroff

Reportedly it does work on some servers. Not sure what's wrong with mine...
#2 - 08/17/2011 04:14 PM - Harris Lapiroff

Further details on the two servers | tested:

Ubuntu 11.04

Python 2.7.1+
pip 0.7.2
and

Debian 5.0.7
Python 2.5.2

pip 1.0

#3 - 08/28/2011 12:09 AM - Stephen Burrows

Yeah, this works for me.

#4 - 09/30/2011 03:21 AM - Joseph Spiros

- Target version set to 0.9.1

#5 - 10/08/2011 01:46 AM - Stephen Burrows
Merged in with 6de576dc999886f300c5abc74f4a2433a884d3b8 and tweaked with 46bfbcf188fa31bea2c08c14df696e136d4983e3

#6 - 10/08/2011 05:18 AM - Joseph Spiros
- Status changed from New to Resolved

- % Done changed from 0 to 100
http://ithinksw.org/projects/philo/repository/12/revisions/6de576dc999886f300c5abc74f4a2433a884d3b8
http://ithinksw.org/projects/philo/repository/12/revisions/46bfbcf188fa31bea2c08c14df696e136d4983e3
